# Uses of Class
org.apache.zookeeper.server.DataTree.ProcessTxnResult

Packages that use DataTree.ProcessTxnResult
Package
Description
org.apache.zookeeper.audit
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of DataTree.ProcessTxnResult in org.apache.zookeeper.audit

Methods in org.apache.zookeeper.audit with parameters of type DataTree.ProcessTxnResult
Modifier and Type
Method
Description
`static void`
AuditHelper.`addAuditLog(Request request, DataTree.ProcessTxnResult rc)`
`static void`
AuditHelper.`addAuditLog(Request request, DataTree.ProcessTxnResult txnResult, boolean failedTxn)`
Add audit log if audit log is enabled and operation is of type which to be audit logged.

## Uses of DataTree.ProcessTxnResult in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server with type parameters of type DataTree.ProcessTxnResult
Modifier and Type
Field
Description
`List<DataTree.ProcessTxnResult>`
DataTree.ProcessTxnResult.`multiResult`
Methods in org.apache.zookeeper.server that return DataTree.ProcessTxnResult
Modifier and Type
Method
Description
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn, boolean isSubTxn)`
`DataTree.ProcessTxnResult`
DataTree.`processTxn(TxnHeader header, Record txn, TxnDigest digest)`
`DataTree.ProcessTxnResult`
ZKDatabase.`processTxn(TxnHeader hdr, Record txn, TxnDigest digest)`
the process txn on the data and perform digest comparision.
`DataTree.ProcessTxnResult`
ZooKeeperServer.`processTxn(Request request)`